<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Task5</title>
	<link rel="stylesheet" type="text/css" href="task5.css">
</head>
<body>
	<div class="mainSide">
		<h2>
			<a href="#">Apple</a>
			<a href="#">Toshiba</a>
			<a href="#">Lenovo</a>
			<a href="#">Dell</a>
			<a href="#">Asus</a>
			<a href="#">Acer</a>
			<a href="#">HP</a>
		</h2>
		<hr width="98%" width="2px">
		<div class="models">
			<center>
				<div class="model">
				<fieldset>
                	<legend>Apple MacbookAir</legend>
               		<img alt="mac" src="mac.jpeg" width="105px">
               		<span>
	               		<p>64 GB SSD</p>
	               		<p>2 GB DDR</p>
               			<p style="display: inline;">Intel Core i5</p>
               		</span>
               		<p style="float: left;">1300 USD</p>
                </fieldset>
			</div>
			<div class="model">
				<fieldset>
                	<legend>Apple MacbookAir</legend>
               		<img alt="mac" src="mac.jpeg" width="105px">
               		<span>
	               		<p>64 GB SSD</p>
	               		<p>2 GB DDR</p>
               			<p style="display: inline;">Intel Core i5</p>
               		</span>
               		<p style="float: left;">1300 USD</p>
                </fieldset>
			</div>
			<div class="model">
				<fieldset>
                	<legend>Apple MacbookAir</legend>
               		<img alt="mac" src="mac.jpeg" width="105px">
               		<span>
	               		<p>64 GB SSD</p>
	               		<p>2 GB DDR</p>
               			<p style="display: inline;">Intel Core i5</p>
               		</span>
               		<p style="float: left;">1300 USD</p>
                </fieldset>
			</div>
			<div class="model">
				<fieldset>
                	<legend>Apple MacbookAir</legend>
               		<img alt="mac" src="mac.jpeg" width="105px">
               		<span>
	               		<p>64 GB SSD</p>
	               		<p>2 GB DDR</p>
               			<p style="display: inline;">Intel Core i5</p>
               		</span>
               		<p style="float: left;">1300 USD</p>
                </fieldset>
			</div>
			<div class="model">
				<fieldset>
                	<legend>Apple MacbookAir</legend>
               		<img alt="mac" src="mac.jpeg" width="105px">
               		<span>
	               		<p>64 GB SSD</p>
	               		<p>2 GB DDR</p>
               			<p style="display: inline;">Intel Core i5</p>
               		</span>
               		<p style="float: left;">1300 USD</p>
                </fieldset>
			</div>
			<div class="model">
				<fieldset>
                	<legend>Apple MacbookAir</legend>
               		<img alt="mac" src="mac.jpeg" width="105px">
               		<span>
	               		<p>64 GB SSD</p>
	               		<p>2 GB DDR</p>
               			<p style="display: inline;">Intel Core i5</p>
               		</span>
               		<p style="float: left;">1300 USD</p>
                </fieldset>
			</div>
			</center>
		</div>
		<div class="other">
			<form>
			 	Min price: <span id="span1">500</span> USD<br>
                <input id="range1" max="1000" min="0" oninput="changing(1)"step="1" type="range" value="500"><br>
                Max price: <span id="span2">1500</span>USD<br>
                <input id="range2" max="3000" min="0" oninput="changing(2)"step="1" type="range" value="1500"><br>
                Min RAM: <span id="span3">4</span>GB<br>
                <input id="range3" max="8" min="0" oninput="changing(3)" step="1" type="range" value="4"><br>
                Max Ram: <span id="span4">16</span>GB<br>
                <input id="range4" max="32" min="0" oninput="changing(4)" step="1" type="range" value="16">
            </form>
		</div>
	</div>
	<script type="text/javascript">
        function changing(number) {
            if (number == 1) {
                var span = document.getElementById('span1');
                var range = document.getElementById('range1').value;
                span.innerHTML = range;
            }
            if (number == 2) {
                var span = document.getElementById('span2');
                var range = document.getElementById('range2').value;
                span.innerHTML = range;
            }
            if (number == 3) {
                var span = document.getElementById('span3');
                var range = document.getElementById('range3').value;
                span.innerHTML = range;
            }
            if (number == 4) {
                var span = document.getElementById('span4');
                var range = document.getElementById('range4').value;
                span.innerHTML = range;
            }
        }
	</script>
</body>
</html>